#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

%define		pdir	String
%define		pnam	Multibyte
%include	/usr/lib/rpm/macros.perl
Summary:	String::Multibyte - Perl module to manipulate multibyte character strings
Summary(pl.UTF-8):	String::Multibyte - moduł Perla do obróbki łańcuchów znaków wielobajtowych
Name:		perl-String-Multibyte
Version:	1.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	c1f639959879f8ae036daf3240767d63
URL:		http://search.cpan.org/dist/String-Multibyte/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides some functions which emulate the corresponding
CORE functions to manipulate multiple-byte character strings.

%description -l pl.UTF-8
Ten moduł udostępnia trochę funkcji emulujących odpowiadające im
funkcje CORE, służących do obróbki łańcuchów znaków wielobajtowych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{perl_vendorlib}/%{pdir}/%{pnam}
%{_mandir}/man3/*
%changelog
* Sun Nov 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-String-Multibyte.git;a=log;h=master

* Sun Nov 18 2018 Adam Gołębiowski <adamg@pld-linux.org> 7095e7b
- updated to 1.12

* Wed Nov 26 2014 Elan Ruusamäe <glen@delfi.ee> c7c5931
- use generic url

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> fd4437e
- up to 1.10

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 119d221
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 913c297
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 803b4aa
- converted to UTF-8

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 03dd7f4
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> b3dd399
- fixed perl-devel BR

* Sat May 01 2004 ankry <ankry@pld-linux.org> e06c4d5
- license fixed, cosmetics

* Tue Apr 27 2004 ankry <ankry@pld-linux.org> 595fefb
- new bconds

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> 065a4cb
- updated to 1.05

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> b5a7d8e
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 497255e
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 8d87045
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> 62e574a
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 453d194
- BR: perl-devel; do not BR: perl

* Sat Mar 01 2003 radek <radek@pld-linux.org> 538b867
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> a838c79
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> e95cdd1
- massive attack: change CPAN URLs

* Wed Nov 20 2002 mis <mis@pld-linux.org> 59a00fe
- autoupdated to 1.03

